--- notifications

create table notifications (
    id number(19) primary key,
    "type" varchar2(255) not null,
    user_id number(19) references users(id),

    target_violation_id number(19) references target_violations(id),

    created_at timestamp with time zone not null
);

create sequence notifications_id_seq;
create index notifications_user_ix on notifications(user_id, created_at);
